﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - sopinfra</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <!-- Syncfusion Essential JS 2 Styles -->
    <link rel="stylesheet" href="https://cdn.syncfusion.com/ej2/material.css" />
    <!-- Syncfusion Essential JS 2 Scripts -->
    <script src="https://cdn.syncfusion.com/ej2/dist/ej2.min.js"></script>
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark bg-dark border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">sopinfra</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Documentos" asp-action="Index">Documentos</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="SecurePage">Secure Page</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="FileManager" asp-action="Inicio">File Manager</a>
                        </li>

                        <li class="nav-item dropdown bg-dark">
                            <a class="nav-link dropdown-toggle text-light" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Servidores
                            </a>
                            <div class="dropdown-menu bg-dark" aria-labelledby="navbarDropdownMenuLink">
                                <a class="nav-link text-light" asp-area="" asp-controller="Server" asp-action="InicioWin">Windows</a>
                                <a class="nav-link text-light" asp-area="" asp-controller="Server" asp-action="InicioAix">AIX</a>
                                <a class="nav-link text-light" asp-area="" asp-controller="Server" asp-action="InicioRed">RedHat</a>
                            </div>
                        </li>
                        @if (User.Identity.IsAuthenticated)
                        {
            @using (Html.BeginForm("Logout", "Account", new { area = "" }, FormMethod.Post, true, new { id = "logoutForm", role = "form" }))
            {
@Html.AntiForgeryToken()
                    <li class="nav-item">
                        <a class="nav-link text-light" onclick="javascript:document.getElementById('logoutForm').submit()">Logout</a>
                    </li>
} }
        else
        {
<li class="nav-item">
    <a class="nav-link text-light" asp-area="" asp-controller="Account" asp-action="Login">Login</a>
</li>
}
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy 2020 - sopinfra - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <ejs-scripts></ejs-scripts>

    @RenderSection("Scripts", required: false)

</body>
</html>
